package net.wanji.utc.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/18 8:49
 */
@Data
public class CrossPhasePO {
    /** 相位ID */
    @ApiModelProperty(name = "相位ID",notes = "")
    private Integer id ;
    /** 相位号 */
    @ApiModelProperty(name = "相位号",notes = "")
    private String phaseNo;
    /** 相位名称 */
    @ApiModelProperty(name = "相位名称",notes = "")
    private String name ;
    /** 相位序号 */
    @ApiModelProperty(name = "相位序号",notes = "")
    private Integer sort ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 方案ID */
    @ApiModelProperty(name = "方案ID",notes = "")
    private Integer planId ;
    /** 环号 */
    @ApiModelProperty(name = "环号",notes = "")
    private Integer ringNo ;
    /** 控制模式：1定周期；2绿灯；3黄灯；4红灯；5关灯；6绿闪；7黄闪；8红闪 */
    @ApiModelProperty(name = "控制模式：1定周期；2绿灯；3黄灯；4红灯；5关灯；6绿闪；7黄闪；8红闪",notes = "")
    private Integer controlMode ;
    /** 相位时间 */
    @ApiModelProperty(name = "相位时间",notes = "")
    private Integer phaseTime ;
    /** 绿灯时间 */
    @ApiModelProperty(name = "绿灯时间",notes = "")
    private Integer greenTime ;
    /** 绿闪时间 */
    @ApiModelProperty(name = "绿闪时间",notes = "")
    private Integer greenFlashTime ;
    /** 行闪时间 */
    @ApiModelProperty(name = "行闪时间",notes = "")
    private Integer pedFlashTime ;
    /** 黄灯时间 */
    @ApiModelProperty(name = "黄灯时间",notes = "")
    private Integer yellowTime ;
    /** 红灯时间 */
    @ApiModelProperty(name = "红灯时间",notes = "")
    private Integer redTime ;
    /** 最小绿灯时间 */
    @ApiModelProperty(name = "最小绿灯时间",notes = "")
    private Integer minGreenTime ;
    /** 最大绿灯时间 */
    @ApiModelProperty(name = "最大绿灯时间",notes = "")
    private Integer maxGreenTime ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
